LFR-FSW - Bug #3916

Les valeurs reportées dans le KCOEFF_DUMP ne sont pas comme attendues.
08/12/2021 03:04 PM - bruno katra

Status: Closed Start date: 08/12/2021
Priority: Normal Due date:

Assignee: Alexis Jeandet % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 3.3 Spent time: 0.00 hour
revision: ro

Description

FSW 3.3.0.4 : boot LFR puis DUMP_KCOEFF immediatement. On doit récupérer dans la TM KCOEFF_DUMP les valeurs par défaut
des matrices.

Si on prend I'exemple de MAG a FO : le premier (BIN16) est correct.
Mais le 2eme qui devrait étre le BIN 24 n'est pas correct :

- le fichier calibration_matrices.c indique comme BIN 24 :

0.08846061297961542f 0.46413810919321624f -0.10038471453508746f -0.4843699075328815f
0.03327358102637455f 0.3772868178797596f -0.09786024818940642f -0.5364344929284444f
0.004235217228007431f 0.004583954729805597f 0.12025744717251019f 0.47833933495166725f
-0.050588274112707214f  -0.3293622659031427f -0.11632660132661053f -0.6506716440667137f
-0.01683527047976743f -0.30264228744682875f

-la TM KCOEFF_DUMP contient :

0.0000000000000000 -0.0000000000000000 -0.0191338136792183 -0.0295062679797411

-0.0191338136792183 -0.0295062679797411 -0.0095669068396091 -0.0147531339898705
0.0884606093168259 0.4641381204128265 -0.1003847122192383 -0.4843699038028717

0.0332735814154148 0.3772868216037750 -0.0978602468967438 -0.5364344716072083
0.0042352173477411 0.0045839548110962

On remarque cependant des valeurs communes avec juste un offset d'index (en gras).

Je propose de vérifier de mon cété d'abord : que la decom est correcte et que les valeurs en mémoire sont correctes

Related issues:
Related to Feature #3905: La TM_KCOEFF_DUMP n'a plus la structure dédcrite da... Closed 24/11/2021

History

#1 - 08/12/2021 03:06 PM - bruno katra

- Assignee changed from Alexis Jeandet to bruno katra

#2 - 08/12/2021 03:34 PM - bruno katra

- Status changed from New to In Progress

DECOM vérifiée : OK
Je suis allé lire le binaire directement et on a bien les valeurs 0.0000000000000000 et -0.0000000000000000 comme 2 premiéres valeurs du BIN24
de FO MAG.

#3 - 13/12/2021 10:50 AM - bruno katra

- Assignee changed from bruno katra to Alexis Jeandet

J'ai effectué un dump mémoire de LFR : le bin 24 est correct a premiere vue en mémoire (bonne valeur au bon indice).
Le probléme viendrait donc bien du paquet KCOEFF_DUMP qui reporte les mauvaises valeurs.

#4 - 13/12/2021 02:32 PM - bruno katra

Vu avec Alexis : le pb vient de la specif qu'il avait fourni ou I'ordre des matices est faux. Pas de pb au niveau du FSW. Les matrices sont envoyées
dans cet ordre : B_bin16-E_bin16-B_bin24-E_bin24... alors que le document dit
B_bin16-B_bin24.......-E_bin16-E_bin24

#5 - 13/12/2021 02:55 PM - bruno katra
- Description updated

#6 - 13/12/2021 02:56 PM - bruno katra

- Description updated

#7 - 11/01/2022 10:44 AM - bruno katra
- Related to Feature #3905: La TM_KCOEFF_DUMP n‘a plus la structure dédcrite dans I'lCD added

#8 - 04/03/2022 04:45 PM - bruno katra

- Status changed from In Progress to Closed

Document corrigé par Alexis
